Package org.apache.nutch.service.model.request

## Class ServiceConfig

- java.lang.Object
- - org.apache.nutch.service.model.request.ServiceConfig

-     public class ServiceConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `getArgs()` |
    `String` | `getConfId()` |
    `String` | `getCrawlId()` |
    `void` | `setArgs​(Map<String,​Object> args)` |
    `void` | `setConfId​(String confId)` |
    `void` | `setCrawlId​(String crawlId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceConfig

          public ServiceConfig()

  - ### Method Detail

    - #### getCrawlId

          public String getCrawlId()

    - #### setCrawlId

          public void setCrawlId​(String crawlId)

    - #### getConfId

          public String getConfId()

    - #### setConfId

          public void setConfId​(String confId)

    - #### getArgs

          public Map<String,​Object> getArgs()

    - #### setArgs

          public void setArgs​(Map<String,​Object> args)